### Hierarchy

- AIListItemComponent

### Implements

- OnInit

## Index

### Inputs

- draggable
- isSelectable
- item
- nestingLevel
- selectionType

### Outputs

- itemSelected

### Constructors

- constructor

### Properties

- draggable
- iconService
- isSelectable
- item
- itemSelected
- nestingLevel
- selectionType

### Methods

- handleSelect
- ngOnInit

## Constructors

### constructor

- new AIListItemComponent(iconService: IconService): AIListItemComponent

- - Defined in packages/angular/src/list/list-item/ai-list-item.component.ts:141

  #### Parameters

  - ##### iconService: IconService

  #### Returns AIListItemComponent

## Properties

### draggable

@Input()
draggable: boolean = false

- Defined in packages/angular/src/list/list-item/ai-list-item.component.ts:124

Indicates whether or not the item can be dragged into a different position.

### Protected iconService

iconService: IconService

### isSelectable

@Input()
isSelectable: boolean = false

- Defined in packages/angular/src/list/list-item/ai-list-item.component.ts:129

Indicates whether or not the list item can be selected.

### item

@Input()
item: AIListItem

- Defined in packages/angular/src/list/list-item/ai-list-item.component.ts:114

### itemSelected

@Output()
itemSelected: EventEmitter<any> = ...

- Defined in packages/angular/src/list/list-item/ai-list-item.component.ts:141

Emitted if the item has been selected.

### nestingLevel

@Input()
nestingLevel: number = 0

- Defined in packages/angular/src/list/list-item/ai-list-item.component.ts:119

Nesting level of the list item. Determines the amount of space the item will be indented when rendered in the list.

### selectionType

@Input()
selectionType: SelectionType

- Defined in packages/angular/src/list/list-item/ai-list-item.component.ts:136

Indicates the editing style of the list item. If it is `multi` the list item will be rendered with a checkbox. If it is not given then the list item will not be editable, that is, you can't select it.

## Methods

### handleSelect

- handleSelect(select: boolean): void

- - Defined in packages/angular/src/list/list-item/ai-list-item.component.ts:150

  #### Parameters

  - ##### select: boolean

  #### Returns void

### ngOnInit

- ngOnInit(): void

- - Defined in packages/angular/src/list/list-item/ai-list-item.component.ts:145

  #### Returns void

Generated using TypeDoc